=== debian/changelog ===
debian-reference (2.116) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Naga ]
  * Translated using Weblate (French)

  [ Osamu Aoki ]
  * Ch09: Move mapping to internal and add popular maps
  * Ch05: Add nftable (common text)
  * Ch11: PDF with GIMP
  * Ch11: update listed packages
  * rawxml/README.md for English
  * make entity EXPOSEMODE=yes
  * make po
  * ja: 100% translated

 -- Osamu Aoki <osamu@debian.org>  Sun, 25 Feb 2024 18:13:41 +0900

debian-reference (2.115) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Fix dpkg unable to delete old directory.  Closes: #1058960
  * Update debian-reference-common version requirement to 2.115
  * Add pt-br to metapackage.

 -- Osamu Aoki <osamu@debian.org>  Mon, 12 Feb 2024 10:25:08 +0900

debian-reference (2.114) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Fix document path regression at 2.109.  Closes: #1063590

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Feb 2024 22:34:46 +0900

debian-reference (2.113) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Update bin/po4a1 bin/po4a2: use dpkg-parsechangelog -S Version to get DVERSION
  * Update po/zh-cn.add, add debian-reference.zh-cn.pdf download link
  * 09ch: fix typo in Customizing vim example
  * 09ch: add highlight tailer spaces red color in customizing_vim example
  * Translated using Weblate (Chinese (Simplified))
  * make remote.ent

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * English: suite name and codename
  * English: s/graphic/graphics/g
  * English: Add sed example ERE
  * English: Add nvim defaults
  * Add merge-po-files
  * refactor po build
  * make po (ja:100%)
  * es, zh-cn, fr, it: trivial fixes
  * README.md for English RAWXML/*
  * Makefile: "make EXPOSEMODE=yes" feature

 -- Osamu Aoki <osamu@debian.org>  Fri, 02 Feb 2024 22:34:43 +0900

debian-reference (2.112) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * ch00: update copyright year info to 2024
  * make po
  * Update copyright year info in *.po, remove fuzzy
  * Translated using Weblate (Chinese (Simplified))
  * po4a*.cfg.in add options --package-name --copyright-holder
    --package-version update bin/buildxml* to use new po4a*.cfg.in
  * update *.po, let i18nspector po/*.po happy
  * Update Project-Id-Version: to Debian Reference 2 in po files
  * Translated using Weblate (Chinese (Simplified))
  * Update pt-br zh-cn zh-tw po files Language: field, ISO 3166 two-letter
    country code use uppercase see
    https://www.gnu.org/software/gettext/manual/html_node/Header-Entry.html
    This also let run i18nspector po/*.po happy

  [ Osamu Aoki ]
  * English touch ups
  * make entity po
  * ja: 100% translated
  * Add mergepos and mergepo scripts
  * README.md merge strategy and <literal>
  * Force <literal> policy to es

 -- Osamu Aoki <osamu@debian.org>  Tue, 23 Jan 2024 08:34:39 +0900

debian-reference (2.111) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * ch10: fix typo for snap-Documents.timer
  * ch10: add "man:" before btrfs(1) in systemd Documentation= line
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Chinese (Simplified))

  [ Osamu Aoki ]
  * ch03: Update and reorganize systemd and udev
  * ch04: ACLs
  * ch09: Add systemd event based scheduling
  * ch10: Add backup tips
  * ch11: Update around PDF
  * make entity
  * make po
  * ja: 100% translated
  * XML: add review marker
  * es: fix markup error and 100% translated

 -- Osamu Aoki <osamu@debian.org>  Sat, 20 Jan 2024 20:57:38 +0900

debian-reference (2.110) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Beatrice Torracca ]
  * [it-IT] Updated Italian translation
  * [it-IT] Updated Italian translation header info
  * [it-IT] Fixed (hopefully) Italian translation

  [ xiao sheng wen(肖盛文) ]
  * fix typo: Syatemd login --> Systemd login
  * Translated using Weblate (Japanese) -- removed fuzzy
  * Translated using Weblate (Swedish)
  * Update it.po, unfuzzy msgid "Systemd login"
  * Translated using Weblate (Chinese (Simplified))
  * fix typo: add one " before <literal>
  * make po

  [ Osamu Aoki ]
  * Update examples
  * No more POT tweak and use vi
  * Update path, pot
  * Add ro
  * Use tracker.debian.org
  * ja: fix missing msgstr
  * Rename weblate-po-merge
  * README.md: Add tips
  * ja, es, it, zh-cn: unfuzzy 100% translated

 -- Osamu Aoki <osamu@debian.org>  Thu, 18 Jan 2024 21:23:31 +0900

debian-reference (2.109) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ Osamu Aoki ]
  * Makefile: bug fix badurl
  * ch**: update and verify URL links
  * ch1: Fix old ASCIIDOC conversion error for "exec" example
  * cgroup v2 adjustment
  * /usr merge conversion adjustment
  * migration to init-system-helpers adjustment
  * PO: 100% ja
  * PO: trivial fixes on de, es, fr, id, it, pt-br, zh-cn
  * doc+makefile updates
  * Move documents under /usr/share/doc/debian-reference-common/docs

 -- Osamu Aoki <osamu@debian.org>  Mon, 18 Dec 2023 23:53:01 +0900

debian-reference (2.108) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Ch03: systemd login
  * Ch05: libnss, nftables
  * ch08: locale
  * ch**: update URLs and http->https

