## debian-reference 2.122

=== Makefile ===
--- 
+++ 
@@ -117,7 +117,9 @@
 # po4a/opencc translation
 PO4A1 ?= $(DBIN)/po4a1
 PO4A2 ?= $(DBIN)/po4a2
-POFUZZY ?= $(DBIN)/pofuzzy
+PO4ATMP ?= $(DBIN)/po4atmp
+POFUZZY1 ?= $(DBIN)/pofuzzy1
+POFUZZY2 ?= $(DBIN)/pofuzzy2
 
 # Remote file source (related to Debian package archive URLs)
 #DEBM	:=	http://ftp.us.debian.org/debian/dists
@@ -167,14 +169,20 @@
 .PHONY: all
 # set LANGPO to limit language to speed up build
 all: css html txt pdf
-	-cat fuzzy.log
+	@echo "PO status: fuzzy1 ======================"
+	-cat fuzzy1.log
+	@echo "PO status: fuzzy2 ======================"
+	-cat fuzzy2.log
 
 #######################################################################
 # $ make test      # build html for all languages (for Translator)
 #######################################################################
 .PHONY: test
 test: html css
-	-cat fuzzy.log
+	@echo "PO status: fuzzy1 ======================"
+	-cat fuzzy1.log
+	@echo "PO status: fuzzy2 ======================"
+	-cat fuzzy2.log
 
 #######################################################################
 # $ make entity    # refresh remote.ent (Need remote access)
@@ -305,7 +313,3 @@
 # no dependency claimed to avoid remote access to update data
 remote.ent:
 	$(MAKE) $(REMOTE_DATA) pkg.lst
-	cat all-popcon-date.txt													>  $@
-	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"						>> $@
-	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"					>> $@
-	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"					>> $@
