=== debian/changelog ===
debian-reference (2.122) unstable; urgency=medium

  [ Osamu Aoki ]
  * update disk.img handling examples
  * Simplify .vimrc example
  * Reformat internal scripts: shfmt -s -w / black

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

 -- Osamu Aoki <osamu@debian.org>  Thu, 11 Apr 2024 08:08:27 +0900

debian-reference (2.121) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * EN: Update losetup usage
  * po: update all languages on losetup

 -- Osamu Aoki <osamu@debian.org>  Mon, 01 Apr 2024 18:24:03 +0900

debian-reference (2.120) unstable; urgency=medium

  [ Beatrice Torracca ]
  * [it-IT] Updated Italian translation (100%)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Guillonneau Jean-Paul ]
  * Translated using Weblate (French)

  [ Osamu Aoki ]
  * Fix fr.add
  * Parallel execution for build
  * Update pot

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 Mar 2024 23:02:56 +0900

debian-reference (2.119) unstable; urgency=medium

  [ Guillonneau Jean-Paul ]
  * Translated using Weblate (French) 100%

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ SCC/楊志璿 ]
  * Translated using Weblate (Chinese (Traditional))

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ Osamu Aoki ]
  * Ch12: Fix console session
  * zh-tw, fr: remove URL with % to fix build
  * pt, pt-br: trivial URL fixes
  * Update build to use missing msgstr between pt/pt-br
  * fuzzy: raw and effective PO status

 -- Osamu Aoki <osamu@debian.org>  Wed, 20 Mar 2024 15:21:55 +0900

debian-reference (2.118) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish) 100%

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified)) 100%

  [ Osamu Aoki ]
  * Ch01: adduser/delusr/usermod/useradd/userdel
  * Ch07: user dirs
  * Ch09: rephrase and reorder, Incus, clipboard
  * es: trivial fix
  * make entity EXPOSEMODE=yes
  * make po
  * ja 100%

 -- Osamu Aoki <osamu@debian.org>  Thu, 14 Mar 2024 14:53:09 +0900

debian-reference (2.117) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * Ch11: fix typo, ps --> pdf , remove (GUI)
  * Translated using Weblate (Chinese (Simplified))

  [ Osamu Aoki ]
  * Ch09: Reorganize and update vimrc (TailingWhitespaces, etc.)
  * nohlsearch with <ESC> like Lazyvim
  * disable buggy merge driver
  * Trivial po fixes
  * wrap-and-sort and remove extra spaces
  * make po

 -- Osamu Aoki <osamu@debian.org>  Thu, 29 Feb 2024 09:08:53 +0900
