## debian-reference 2.124

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,22 @@
 #======================================================================
 # base file name excluding file extension
 MANUAL	:=	debian-reference
-# languages translated with PO files
-# This can list more than debian/rules for translator to check the result
-# (unless enough translation (100 strings or more), don't include it here)
-LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br
-# ko fi are less than 10 strings
-#LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br ko fi
+# languages translated with PO files (Below are as of 2024-05-28)
+# ja  100 %       -- COMPLETED translation (must be more than 40%)
+# fr  100 %       -- COMPLETED translation (must be more than 40%)
+# it  100 %       -- COMPLETED translation (must be more than 40%)
+# es  100 %       -- COMPLETED translation (must be more than 40%)
+# zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
+# id  96 %       -- COMPLETED translation (must be more than 40%)
+# de  94 %       -- COMPLETED translation (must be more than 40%)
+# pt-br  79 %       -- COMPLETED translation (must be more than 40%)
+# pt  78 %       -- COMPLETED translation (must be more than 40%)
+# zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
+# nb  6 %       -- COMPLETED translation (must be more than 40%)
+# sv  11 %       -- COMPLETED translation (must be more than 40%)
+LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv
+# ko fi are less than 10 strings -- skipped even for make
+#LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv ko fi
 # languages to skip generation of PDF files (not used now)
 
 NOPDF	:=
@@ -296,20 +306,3 @@
 
 #######################################################################
 # Phase 1.2 (pre-build): extract package name list (pkg.lst)
-#######################################################################
-
-# extract package name (@emacs@ etc.) list from RAWXML
-# used pre-build time only
-pkg.lst: $(DRAW)/$(MANUAL).rawxml
-	@$(call check-command, xsltproc, xsltproc)
-	# PACKAGE LIST of packages mentioned in the source XML
-	$(XPNO) $(DXSL)/pkg.xsl $(DRAW)/$(MANUAL).rawxml > $@
-
-#######################################################################
-# Phase 1.3 (pre-build): update Debian archive stat data (remote.ent)
-#######################################################################
-
-# source XML inclusion file (pre-commited since this needs remote access)
-# no dependency claimed to avoid remote access to update data
-remote.ent:
-	$(MAKE) $(REMOTE_DATA) pkg.lst
