=== debian/changelog ===
debian-reference (2.124) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified))
  * add Comment[zh_TW] and Comment[zh_CN] in debian-reference-common.desktop

  [ Osamu Aoki ]
  * touch up .vimrc
  * ch09: update vimrc examples
  * ch09: drop dead URL link
  * en: typo fix
  * po: all updated

 -- Osamu Aoki <osamu@debian.org>  Sun, 30 Jun 2024 13:06:30 +0900

debian-reference (2.123) unstable; urgency=medium

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ houzhou-wu ]
  * Translated using Weblate (Chinese (Simplified))

  [ Osamu Aoki ]
  * Update Makefile to not current status.
  * Trivial update of fi and ko removing junks.

 -- Osamu Aoki <osamu@debian.org>  Tue, 28 May 2024 16:11:38 +0900
