## debian-reference 2.125

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,15 @@
 #======================================================================
 # base file name excluding file extension
 MANUAL	:=	debian-reference
+#
+# build strategy depends on build environment (robust build)
+#STRATEGY := $(shell if [ "$$(lsb_release -s -r)" = "n/a" ]; then echo "unstable"; else echo "stable" ; fi)
+# When texlive tool chain suffer problem, run "make prep" and commit "keep/"
+# directoru in stable environment and build package in STRATEGY=unstable
+# environment
+STRATEGY := stable
+# When OK situation, uncomment to set as above
+
 # languages translated with PO files (Below are as of 2024-05-28)
 # ja  100 %       -- COMPLETED translation (must be more than 40%)
 # fr  100 %       -- COMPLETED translation (must be more than 40%)
@@ -20,7 +29,8 @@
 # zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
 # nb  6 %       -- COMPLETED translation (must be more than 40%)
 # sv  11 %       -- COMPLETED translation (must be more than 40%)
-LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv
+LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv
+LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw
 # ko fi are less than 10 strings -- skipped even for make
 #LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv ko fi
 # languages to skip generation of PDF files (not used now)
@@ -48,13 +58,23 @@
 
 # version in changelog
 DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)
+
 # set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
 SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
+# Export for reproducible PDF build
+#  2020: https://tex.stackexchange.com/questions/568235/how-do-i-configure-pdflatex-to-output-binary-equivalent-pdfs-if-the-input-tex-fi
+#  2015: https://tex.stackexchange.com/questions/229605/reproducible-latex-builds-compile-to-a-file-which-always-hashes-to-the-same-va
+export SOURCE_DATE_EPOCH
+FORCE_SOURCE_DATE = 1
+export FORCE_SOURCE_DATE
+
 # date in changelog
 SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))
 
 # BUILD_DIR is not mean to be set to generic TMPDIR
 BUILD_DIR	:= $(CURDIR)/build
+# KEEP_DIR holds PDFs build in the stable environment
+KEEP_DIR	:= $(CURDIR)/keep
 
 # Change $(DRAFTMODE) from "yes" to "maybe" when this document
 # should go into production mode
@@ -62,7 +82,8 @@
 DRAFTMODE       := maybe
 export DRAFTMODE
 
-# define EXPOSEMODE to yes to expose program listings to make entity
+# define EXPOSEMODE to yes to expose not-so-popular program listings in table list
+# (This is used to hide marginal table list entry.)
 EXPOSEMODE ?= no
 ifeq "$(EXPOSEMODE)" "yes"
 XML_COMMENT_START=
@@ -106,15 +127,16 @@
 export PERL_HASH_SEE
 
 # Program name and option
+# stop using faketime
 XLINT	:=	xmllint --format
 XPNO	:=	xsltproc --novalid --nonet
-XPINC	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) xsltproc --novalid --nonet --xinclude
+XPINC	:=	xsltproc --novalid --nonet --xinclude
 MSGATTR	:=	msgattrib
 MSGCAT	:=	msgcat
 MSGUNIQ	:=	msguniq --use-first
-DBLATEX	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) /usr/bin/dblatex
+DBLATEX	:=	/usr/bin/dblatex
 SED	:=	sed
-ZIP	:=      /usr/bin/faketime @$(SOURCE_DATE_EPOCH) zip
+ZIP	:=      zip
 
 # Source files
 SRC_XML :=	$(wildcard $(DRAW)/*_*.rawxml)
@@ -284,25 +306,3 @@
 	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp > packages.oldstable.txt
 	rm packages.oldstable.tmp
 	wget -O - $(UDEBD)/contrib/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
-	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp >> packages.oldstable.txt
-	rm packages.oldstable.tmp
-
-all-popcon-results.txt:
-	# POPCON RESULTS
-	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
-
-all-popcon-submissions.txt: all-popcon-results.txt
-	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt > all-popcon-submissions.txt
-
-all-popcon-date.txt: all-popcon-results.txt
-	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">"	>  all-popcon-date.txt
-
-all-popcon-pkgs.txt: all-popcon-results.txt
-	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt > all-popcon-pkgs.txt
-
-# download base data for package data and popcon data
-.PHONY: remote
-remote: $(REMOTE_DATA)
-
-#######################################################################
-# Phase 1.2 (pre-build): extract package name list (pkg.lst)
