=== debian/changelog ===
debian-reference (2.125) unstable; urgency=medium

  [ Ravi Kant Sharma ]
  * fix typo 05_network_setup.rawxml

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Chris Hofstaedtler ]
  * Fix two typos on a single line

  [ Osamu Aoki ]
  * Refine example
  * Minor English updates (zh-cn inspired)
  * Add d/salsa-ci.yml
  * pt.po, fr.po, it.po, po/zh-cn.po: trivial fixes
  * Add xmlpo and update README.md
  * ja.po: proofed by xmlpo -i
  * "make po" and trim obsolete
  * Change font to all-Sans
  * Reproducible build

 -- Osamu Aoki <osamu@debian.org>  Fri, 15 Nov 2024 22:32:55 +0900
