=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
-                     faketime,
                      fonts-liberation2,
                      fonts-vlgothic,
-                     fonts-wqy-microhei,
+                     fonts-wqy-zenhei,
                      libxml2-utils,
                      locales-all | locales,
                      opencc,
