## debian-reference 2.127

=== debian/changelog ===
debian-reference (2.127) unstable; urgency=medium

  * Fix maintscript regression in 2.126 by using pre-depends on
    debian-reference-common.  Closes: #1100677

 -- Osamu Aoki <osamu@debian.org>  Wed, 30 Apr 2025 11:27:20 +0900

debian-reference (2.126) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ Cleverson Cândido ]
  * Translated using Weblate (Portuguese)

  [ Tanavit MINETEST ]
  * Translated using Weblate (French)

  [ Jonathan Dowland ]
  * Correct description of purpose of 'sudo' group

  [ Ricky Tigg ]
  * Translated using Weblate (Finnish)

  [ Rodolfo José dos Santos Gigante ]
  * Translated using Weblate (Portuguese)

  [ Rodolfo Gigante ]
  * Translated using Weblate (Portuguese)

  [ Francisco Serrador ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Fix undeclared file conflict.  Closes: #1100677
  * Improve PO file checker
  * Update PO/POT with trivial url link fixes (pt, fr)

 -- Osamu Aoki <osamu@debian.org>  Thu, 24 Apr 2025 11:18:18 +0900
